Name:		cssed
Version:	0.4.0
Release:	12%{?dist}
Summary:	CSS editor and validator

Group:		Applications/Editors
License:	GPLv2+
URL:		http://cssed.sourceforge.net/
Source0:	http://dl.sourceforge.net/sourceforge/cssed/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		cssed-0.4.0-headersfix.patch
Patch1:		cssed-0.4.0-gcc44.patch
Patch2:		cssed-0.4.0_cssdialogs-functions.patch
Patch3:		cssed-0.4.0_pixmap.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libxml2-devel,gettext,gtk2-devel,desktop-file-utils

%description
cssed is a small developer editor and validator, that tries to ease the CSS
editing.

It features syntax highlighting, syntax validation, MDI notebook based
interface, quick CSS properties and values insertion, auto-completion and
dialog-based insertion of CSS complex values.

Being a CSS editor, it's not limited to this language. cssed haved some
support for HTML (with embbeded Javascript), XML, Javascript, Java, PHP, JSP,
C, C++, Apache configuration files, .htaccess, Python, Perl, SQL, SH and other
languages so it can serve quite well as multi-purpose editor.

%package devel
Summary:	Development files for cssed
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release},pkgconfig,gtk2-devel

%description devel
Development files for cssed.

%prep
%setup -q
%patch0 -p0 -b .headersfix
%patch1 -p0 -b .gcc44
%patch2 -p0
%patch3 -p0

%{__sed} -i 's/\r//' include/{SciLexer.h,Scintilla.h,ScintillaWidget.h}
%{__sed} -i 's/\r//' scintilla/License.txt
%{__sed} -i '4i includedir\=\@includedir\@\npkgincludedir\=\${includedir}\/\@PACKAGE\@\n' cssed.pc.in
%{__sed} -i 's/\${prefix}\/share\/cssed\/include/\${pkgincludedir}/' cssed.pc.in
echo >> cssed.pc.in

%build
%configure --disable-dependency-tracking --with-plugin-headers --with-help-menus
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}
desktop-file-install --vendor="fedora"			\
	--dir %{buildroot}%{_datadir}/applications	\
	%{SOURCE1}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README scintilla/License.txt
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/pixmaps/*
%{_datadir}/cssed
%{_datadir}/applications/fedora-%{name}.desktop

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/cssed.pc
%{_includedir}/cssed

%changelog
* Mon Jul 25 2011 Keiran Smith <affix@fedoraproject.org> 0.4.0-12
- fixes #723426

* Wed Feb 09 2011 Thomas Janssen <thomasj@fedoraproject.org> 0.4.0-11
- fixes #667224 #618688

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Rafał Psota <rafalzaq@gmail.com> - 0.4.0-8
- gcc44 build fix

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 09 2008 Rafał Psota <rafalzaq@gmail.com> - 0.4.0-6
- gcc 4.3 rebuild
- .desktop file fix

* Sat Aug 25 2007 Rafał Psota <rafalzaq@gmail.com> - 0.4.0-5
- BuildID rebuild

* Sun Jan 07 2007 Rafał Psota <rafalzaq@gmail.com> - 0.4.0-4
- add scintilla license
- fixed .desktop file
- fixed BRs & Rs
- fixed end-of-lines
- new patch

* Sun Jan 07 2007 Rafał Psota <rafalzaq@gmail.com> - 0.4.0-3
- fixed changelog

* Sun Jan 07 2007 Rafał Psota <rafalzaq@gmail.com> - 0.4.0-2
- fixed .desktop file and clean section

* Sat Jan 06 2007 Rafał Psota <rafalzaq@gmail.com> - 0.4.0-1
- Initial release
